Bug 1626200 (CVE-2018-16548) - CVE-2018-16548 zziplib: Memory leak triggered in the function __zzip_parse_root_directory in zip.c
Summary: CVE-2018-16548 zziplib: Memory leak triggered in the function __zzip_parse_ro...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-16548
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1626201 1626202 1626635
Blocks: 1626203
TreeView+ depends on / blocked
 
Reported: 2018-09-06 17:45 UTC by Pedro Sampaio
Modified: 2019-09-29 14:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:19:20 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2196 0 None None None 2019-08-06 12:26:57 UTC

Description Pedro Sampaio 2018-09-06 17:45:54 UTC
An issue was discovered in ZZIPlib through 0.13.69. There is a memory leak triggered in the function __zzip_parse_root_directory in zip.c, which could lead to a denial of service attack.

Upstream issue:

https://github.com/gdraheim/zziplib/issues/58

Comment 1 Pedro Sampaio 2018-09-06 17:46:18 UTC
Created zziplib tracking bugs for this issue:

Affects: fedora-all [bug 1626201]

Comment 4 Scott Gayou 2018-09-07 18:35:16 UTC
Appears to have a very low impact. Easy to reproduce.

Comment 7 errata-xmlrpc 2019-08-06 12:26:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2196 https://access.redhat.com/errata/RHSA-2019:2196

Comment 8 Product Security DevOps Team 2019-08-06 13:19:20 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-16548


Note You need to log in before you can comment on or make changes to this bug.